Davix::gcloud::Credentials Class Reference

Gcloud credentials. More...

`#include <davix_gcloud_utils.hpp>`

## Public Member Functions

void | setPrivateKey (const std::string &key)
std::string | getPrivateKey () const
void | setClientEmail (const std::string &key)
std::string | getClientEmail () const
bool | isEmpty () const
| Credentials (const Credentials &)
| Credentials (Credentials &&)
Credentials & | operator= (const Credentials &)
Credentials & | operator= (Credentials &&)

## Detailed Description

Gcloud credentials.

Gcloud credentials

The documentation for this class was generated from the following file:

- /build/davix-vkLe3H/davix-0.8.10/include/davix/utils/davix_gcloud_utils.hpp